summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorLinus Färnstrand <linus@mullvad.net>2019-07-16 15:14:52 +0200
committerLinus Färnstrand <linus@mullvad.net>2019-07-16 15:14:52 +0200
commit19da8f9d3632278e04ec27477ebfb0694685ee91 (patch)
tree908cdeec7f646947084d9c68c55277ba5df557ef
parentadc6cb17ef96792a77bce0dc87506e6ce30e7761 (diff)
downloadmullvadvpn-19da8f9d3632278e04ec27477ebfb0694685ee91.tar.xz
mullvadvpn-19da8f9d3632278e04ec27477ebfb0694685ee91.zip
Make build.sh disable compression on --dev-build builds
-rwxr-xr-xbuild.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/build.sh b/build.sh
index 8716cde922..74c9176172 100755
--- a/build.sh
+++ b/build.sh
@@ -59,6 +59,14 @@ else
echo "Removing old Rust build artifacts"
cargo +stable clean
fi
+if [[ "${1:-""}" == "--dev-build" ]]; then
+ # Disable installer compression on *explicit* dev builds.
+ # This does not disable compression on build server builds, since they
+ # always run without --dev-buid.
+ echo "Disabling compression of installer in this dev build"
+ cp gui/electron-builder.yml gui/electron-builder.yml.bak
+ echo "compression: store" >> gui/electron-builder.yml
+fi
echo "Building Mullvad VPN $PRODUCT_VERSION"
SEMVER_VERSION=$(echo $PRODUCT_VERSION | sed -Ee 's/($|-.*)/.0\1/g')
@@ -73,6 +81,7 @@ function restore_metadata_backups() {
mv mullvad-problem-report/Cargo.toml.bak mullvad-problem-report/Cargo.toml || true
mv talpid-openvpn-plugin/Cargo.toml.bak talpid-openvpn-plugin/Cargo.toml || true
mv dist-assets/windows/version.h.bak dist-assets/windows/version.h || true
+ mv gui/electron-builder.yml.bak gui/electron-builder.yml || true
popd
}
trap 'restore_metadata_backups' EXIT